# tileCoin.py

import tile

class TileCoin(tile.Tile):
    def __init__(self,solid,pixels,x,y,w,h):
        tile.Tile.__init__(self,solid,pixels,x,y,w,h)
        self.score = 0
        self.active = True
        
    
    def collide(self,other_rect):
        if(tile.Tile.collide(self,other_rect)):
            self.active = False
            return self
            
    def draw(self,screen,cam):
        if self.active:
            return tile.Tile.draw(self,screen,cam)
        else:
            return False