# inputs.py
import upygame as upg

class Inputs():
    def __init__(self):
        self.UpState = False
        self.DownState = False
        self.LeftState = False
        self.RightState = False
        self.AState = False
        self.BState = False
        self.CState = False
        
        self._UpStatePrec = False
        self._DownStatePrec = False
        self._LeftStatePrec = False
        self._RightStatePrec = False
        self._AStatePrec = False
        self._BStatePrec = False
        self._CStatePrec = False
        
        self.UpTrigger = False
        self.DownTrigger = False
        self.LeftTrigger = False
        self.RightTrigger = False
        self.ATrigger = False
        self.BTrigger = False
        self.CTrigger = False
        
        
    def update(self):
        eventtype = upg.event.poll()
        if eventtype != upg.NOEVENT:
            if eventtype.type== upg.KEYDOWN:
                if eventtype.key == upg.K_RIGHT:
                    self.RightState = True
                if eventtype.key == upg.K_LEFT:
                    self.LeftState = True
                if eventtype.key == upg.K_UP:
                    self.UpState = True
                if eventtype.key == upg.K_DOWN:
                   self.DownState = True
                if eventtype.key == upg.BUT_A:
                   self.AState = True
                if eventtype.key == upg.BUT_B:
                   self.BState = True
                if eventtype.key == upg.BUT_C:
                   self.CState = True
            if eventtype.type == upg.KEYUP:
                if eventtype.key == upg.K_RIGHT:
                    self.RightState = False
                if eventtype.key == upg.K_LEFT:
                    self.LeftState = False
                if eventtype.key == upg.K_UP:
                    self.UpState = False
                if eventtype.key == upg.K_DOWN:
                    self.DownState = False
                if eventtype.key == upg.BUT_A:
                   self.AState = False
                if eventtype.key == upg.BUT_B:
                   self.BState = False
                if eventtype.key == upg.BUT_C:
                   self.CState = False
            
        #trigger
        self.UpTrigger = self.UpState and not self._UpStatePrec
        self.DownTrigger = self.DownState and not self._DownStatePrec
        self.LeftTrigger = self.LeftState and not self._LeftStatePrec
        self.RightTrigger = self.RightState and not self._RightStatePrec
        self.ATrigger = self.AState and not self._AStatePrec
        self.BTrigger = self.BState and not self._BStatePrec
        self.CTrigger = self.CState and not self._CStatePrec
        
        #save state
        self._UpStatePrec = self.UpState
        self._DownStatePrec = self.DownState
        self._LeftStatePrec = self.LeftState
        self._RightStatePrec = self.RightState
        self._AStatePrec = self.AState
        self._BStatePrec = self.BState
        self._CStatePrec = self.CState
                    
                    
                    